enum ChainType { Class, Get, Call }

class Chain {
  final ChainType type;
  final String name;
  const Chain({this.type = ChainType.Class, this.name});
}

const chain = const Chain();
const chainClass = const Chain(type: ChainType.Class);
const chainGet = const Chain(type: ChainType.Get);
const chainCall = const Chain(type: ChainType.Call);
